Summary:	D-Bus support for AppArmor
Name:		apparmor-dbus
Version:	2.3
Epoch:		1
Release:	%mkrel 4
License:	GPL
Group:		System/Servers
URL:		http://forge.novell.com/modules/xfmod/project/?apparmor
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:  libdbus-devel
BuildRequires:  libaudit-devel
BuildRequires:  libapparmor-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
AppArmor is a security framework that proactively protects the operating system
and applications.

This package contains the D-Bus support for AppArmor.

%prep
%setup -q

%build
%serverbuild

export CFLAGS="$RPM_OPT_FLAGS"
%configure
%make 

%install
rm -rf %{buildroot}

%{makeinstall_std}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%doc COPYING
%{_bindir}/apparmor-dbus


%changelog
* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.3-4mdv2010.1
+ Revision: 521351
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3-3mdv2010.0
+ Revision: 413032
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1:2.3-2mdv2009.1
+ Revision: 349990
- 2009.1 rebuild

* Wed Aug 06 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:2.3-1mdv2009.0
+ Revision: 264721
- updated to version 2.3

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:1.2-2mdv2009.0
+ Revision: 220353
- rebuild

* Wed Feb 27 2008 Andreas Hasenack <andreas@mandriva.com> 1:1.2-1mdv2008.1
+ Revision: 175863
- updated apparmor-dbus to 1.2 (had to use epoch, sorry, previous version was 2.1 upstream)
- copied apparmor into apparmor-dbus

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1-1.1076.2mdv2008.1
+ Revision: 154124
- rebuild for new perl

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 2.1-1.1076.1mdv2008.1
+ Revision: 146893
- updated to svn revision 1076

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.5mdv2008.0
+ Revision: 91191
- remove more profiles from standard package: they are shipped in their own packages now

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.4mdv2008.0
+ Revision: 91061
- drop rpcbind profile, it's shipped in the rpcbind package now

* Fri Sep 14 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.3mdv2008.0
+ Revision: 85766
- bonobo file is under a noarch libdir
- build dbus and gnome applet packages

* Fri Sep 14 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.1mdv2008.0
+ Revision: 85546
- install perl module in arch dir as the makefile does for x86_64 (doesn't seem right, though)
- make it not require an installed libapparmor-devel to build
- added swig to buildrequires
- added profile for rpcbind
- fix default syslog profile
- obsolete apparmor-docs (manpages are in each package now)
- better place for the LibAppArmor module
- build apache-mod_apparmor package
- install LibAppArmor.pm
- added utils subpackage
- Import apparmor

